Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
cdd
/
cases
aid_management_settings_cdd_cases_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/cdd/cases \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "case_for": {
    "account_id": "<string>",
    "payout_destination_id": "<string>",
    "payout_destination_name": "<string>",
    "payout_destination_description": "<string>",
    "payout_reference": "<string>"
  },
  "products": [
    "payout"
  ],
  "case_request": {
    "checks": [
      "KYC"
    ],
    "countryCode": "<string>",
    "organizationNumber": "<string>",
    "requireContractSigning": true,
    "details": {},
    "callbackUrl": "<string>",
    "referenceId": "<string>"
  }
}
'
{
  "case_for": {
    "account_id": "<string>",
    "payout_destination_id": "<string>",
    "payout_destination_name": "<string>",
    "payout_destination_description": "<string>",
    "payout_reference": "<string>"
  },
  "products": [
    "payout"
  ],
  "case_request": {
    "checks": [
      "KYC"
    ],
    "countryCode": "<string>",
    "organizationNumber": "<string>",
    "requireContractSigning": true,
    "details": {},
    "callbackUrl": "<string>",
    "referenceId": "<string>"
  },
  "account_id": "<string>",
  "events": [
    {
      "id": 123,
      "request_id": "<string>",
      "event": "case_created",
      "created_at": "2023-11-07T05:31:56Z",
      "case_status": "ACTIVE",
      "error": "<string>",
      "case": {},
      "created": {
        "case_id": "<string>",
        "contract_url": "<string>"
      }
    }
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "package": "<string>",
  "actions_on_approval": [
    "enable_payout_account"
  ],
  "payment_options": [
    {
      "currencies": [
        "NOK"
      ],
      "type": "dintero.zero"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
case_for
object
required
products
enum<string>[]
required
Available options:
payout,
checkout
case_request
object
required

Case object that will be submitted to the CDD service. See docs at https://docs.quickr.no/

package
string

What pricing strategy to use for this company.

actions_on_approval
enum<string>[]
Available options:
enable_payout_account,
enable_checkout_account,
create_payout_destination
payment_options
object[]

Response

Customer Due Diligence case created

case_for
object
required
products
enum<string>[]
required
Available options:
payout,
checkout
case_request
object
required

Case object that will be submitted to the CDD service. See docs at https://docs.quickr.no/

account_id
string
required
read-only
events
object[]
required
read-only
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
package
string

What pricing strategy to use for this company.

actions_on_approval
enum<string>[]
Available options:
enable_payout_account,
enable_checkout_account,
create_payout_destination
payment_options
object[]
Last modified on May 12, 2026